Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.digi.config.ui
Class SerialAdvancedView

    java.lang.Object
      com.digi.config.ui.ConfigViewImpl
          com.digi.config.ui.SerialAdvancedView

All Implemented Interfaces:
  ConfigView

public class SerialAdvancedView
extends ConfigViewImpl

This class is a view panel that shows advanced serial configuration settings for the Connect device. This view can be embedded in other panels as desired.

Field Summary
`(package private) com.digi.config.ui.GridContentPanel` | `content` Panel that holds the view content
`(package private) com.digi.config.core.DeviceChangeListener` | `settingChangeListener` listens to the device for changes to settings
`(package private) com.digi.config.ui.GridContentPanel` | `tcpConnectContent`
`(package private) javax.swing.JCheckBox` | `tcpDropDCDEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpDropDCDEnabledKvpField`
`(package private) javax.swing.JCheckBox` | `tcpDropDSREnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpDropDSREnabledKvpField`
`(package private) javax.swing.JTextField` | `tcpIdleTimeout_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpIdleTimeoutContent`
`(package private) javax.swing.JCheckBox` | `tcpIdleTimeoutEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpIdleTimeoutKvpField`
`(package private) javax.swing.JTextField` | `tcpSocketId_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `tcpSocketIdContent`
`(package private) javax.swing.JCheckBox` | `tcpSocketIdEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `tcpSocketIdEnabledKvpField`
`(package private) com.digi.config.core.KvpField` | `tcpSocketIdKvpField`
`(package private) javax.swing.JTextField` | `udpSocketId_UIC`
`(package private) com.digi.config.ui.GridContentPanel` | `udpSocketIdContent`
`(package private) javax.swing.JCheckBox` | `udpSocketIdEnabled_UIC`
`(package private) com.digi.config.core.KvpField` | `udpSocketIdEnabledKvpField`
`(package private) com.digi.config.core.KvpField` | `udpSocketIdKvpField`
`(package private) com.digi.config.core.KvpNode` | `viewSettingTree` A KvpNode that holds just the fields used in this view

Fields inherited from class com.digi.config.ui.ConfigViewImpl
`active, cancelChangesAction, device, editView, heading, includeSettingsFields, includeStateFields, refreshAction, saveChangesAction, viewHelpAction, viewIndex`

Constructor Summary
`SerialAdvancedView()` Constructor.

Method Summary
`void` | `activate()` This method is called to instruct the view that it is about to be made active.
`void` | `cancelChanges()` Instructs the view to discard any changes the user has made within the view and revert those fields to the original state.
`void` | `commitChanges()` Instructs the view to consider any user changes within the view as saved to the device (ie committed).
`void` | `deactivate()` This method is called to instruct the view that it is about to be made inactive.
`void` | `getChanges(com.digi.config.core.KvpNode settingCluster, com.digi.config.core.KvpNode stateCluster)` This method instructs the view to place any changes the user has made within the view into the provided clusters.
`java.lang.String` | `getName()` Returns a one word name identifying this view.
`java.awt.Component` | `getViewContent()` Return the Component that displays the primary content for this view
`boolean` | `isChanged()` Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).
`void` | `setDevice(com.digi.config.core.Device device)` Informs view what device to work with.
`void` | `setViewIndex(int primaryIndex)` Informs view to use the specified primary index in selecting the data to display in the view.
`void` | `validateChanges(java.util.Collection errorList)` This method instructs the view to validate any of the changes the user has made within the view.

Methods inherited from class com.digi.config.ui.ConfigViewImpl
`createEmailDocument, createGeneralDocument, createIntegerDocument, createNetworkAddressDocument, doCancelChangesAction, doRefreshAction, doSaveChangesAction, doViewHelpAction, getHelpResource, getViewButtons, getViewHeading, initializeActions, setIncludeSettingsFields, setIncludeStateFields`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### viewSettingTree

    com.digi.config.core.KvpNode viewSettingTree

  A KvpNode that holds just the fields used in this view

### settingChangeListener

    com.digi.config.core.DeviceChangeListener settingChangeListener

  listens to the device for changes to settings

### content

    com.digi.config.ui.GridContentPanel content

  Panel that holds the view content

### tcpSocketIdContent

    com.digi.config.ui.GridContentPanel tcpSocketIdContent

### tcpIdleTimeoutContent

    com.digi.config.ui.GridContentPanel tcpIdleTimeoutContent

### tcpConnectContent

    com.digi.config.ui.GridContentPanel tcpConnectContent

### udpSocketIdContent

    com.digi.config.ui.GridContentPanel udpSocketIdContent

### tcpSocketIdEnabledKvpField

    com.digi.config.core.KvpField tcpSocketIdEnabledKvpField

### tcpSocketIdKvpField

    com.digi.config.core.KvpField tcpSocketIdKvpField

### tcpIdleTimeoutKvpField

    com.digi.config.core.KvpField tcpIdleTimeoutKvpField

### tcpDropDCDEnabledKvpField

    com.digi.config.core.KvpField tcpDropDCDEnabledKvpField

### tcpDropDSREnabledKvpField

    com.digi.config.core.KvpField tcpDropDSREnabledKvpField

### udpSocketIdEnabledKvpField

    com.digi.config.core.KvpField udpSocketIdEnabledKvpField

### udpSocketIdKvpField

    com.digi.config.core.KvpField udpSocketIdKvpField

### tcpSocketIdEnabled_UIC

    javax.swing.JCheckBox tcpSocketIdEnabled_UIC

### tcpSocketId_UIC

    javax.swing.JTextField tcpSocketId_UIC

### tcpIdleTimeoutEnabled_UIC

    javax.swing.JCheckBox tcpIdleTimeoutEnabled_UIC

### tcpIdleTimeout_UIC

    javax.swing.JTextField tcpIdleTimeout_UIC

### tcpDropDCDEnabled_UIC

    javax.swing.JCheckBox tcpDropDCDEnabled_UIC

### tcpDropDSREnabled_UIC

    javax.swing.JCheckBox tcpDropDSREnabled_UIC

### udpSocketIdEnabled_UIC

    javax.swing.JCheckBox udpSocketIdEnabled_UIC

### udpSocketId_UIC

    javax.swing.JTextField udpSocketId_UIC

Constructor Detail

### SerialAdvancedView

    public SerialAdvancedView()
                       throws java.lang.Exception

  Constructor. Sets up the view controls

Method Detail

### getName

    public java.lang.String getName()

  Returns a one word name identifying this view.

### getViewContent

    public java.awt.Component getViewContent()

  Return the Component that displays the primary content for this view

### setDevice

    public void setDevice(com.digi.config.core.Device device)

  Informs view what device to work with. View should flush any cached device data and mark current view content as invalid so that it is refreshed appropriatly.

  Specified by:
    `setDevice` in interface `ConfigView`
  Overrides:
    `setDevice` in class `ConfigViewImpl`

### setViewIndex

    public void setViewIndex(int primaryIndex)

  Informs view to use the specified primary index in selecting the data to display in the view. Not all views will support indexed viewing and it is up to each view to define what the index is based upon.

  An example of an indexed view would be the SerialBasicView. This view is indexed off the port # whose data is to be displayed in the view. An external control in the SerialView lets the user select the port to view and then that view instructs the SerialBasicView to use the selected port number as it's ViewIndex. Other views could use the index to base their view off other integer keys such as Alarm#, Destination#,etc...

  Views that do not support indexing can simply ignore this call.

  Specified by:
    `setViewIndex` in interface `ConfigView`
  Overrides:
    `setViewIndex` in class `ConfigViewImpl`

### activate

    public void activate()

  This method is called to instruct the view that it is about to be made active. When a view is active it needs to make sure its content is correct. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `activate` in interface `ConfigView`
  Overrides:
    `activate` in class `ConfigViewImpl`

### deactivate

    public void deactivate()

  This method is called to instruct the view that it is about to be made inactive. When a view is inactive, it does not need to worry about maintaining its content in a correct state. An example of why a panel may be inactive is if it were on a tabbed pane and was not currently visible or if the user selected some other view.

  Specified by:
    `deactivate` in interface `ConfigView`
  Overrides:
    `deactivate` in class `ConfigViewImpl`

### isChanged

    public boolean isChanged()

  Indicates if any changes have been made by the user that have not yet been saved to the device(ie committed).

### validateChanges

    public void validateChanges(java.util.Collection errorList)

  This method instructs the view to validate any of the changes the user has made within the view. Any errors are to be added to the provided errorList.

  Specified by:
    `validateChanges` in interface `ConfigView`
  Overrides:
    `validateChanges` in class `ConfigViewImpl`
  Parameters:
    `errorList` - is a collection of ViewValidationError objects

### getChanges

    public void getChanges(com.digi.config.core.KvpNode settingCluster,
                           com.digi.config.core.KvpNode stateCluster)

  This method instructs the view to place any changes the user has made within the view into the provided clusters. Once the changes have been saved to to the device, a subsequent call to commitChanges() will be made.

### commitChanges

    public void commitChanges()

  Instructs the view to consider any user changes within the view as saved to the device (ie committed).

### cancelChanges

    public void cancelChanges()

  Instructs the view to discard any changes the user has made within the view and revert those fields to the original state. The view is also free to refresh all its fields to the present cached state of the device at this time.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2002 Digi International. All Rights Reserved.